import { world } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";

// ========== Main Menu ==========
const ui = new ActionFormData();
ui.title("§l§4Dante Gaming Menu");
ui.body("");
ui.button("Blocks", "textures/ui/dg_blocks");            // 0
ui.button("Items", "textures/ui/dg_item");             // 1
ui.button("Mobs", "textures/ui/dg_mob");              // 2
ui.button("Gaming Characters", "textures/ui/dg_game"); // 3
ui.button("Anime Characters", "textures/ui/dg_anime");  // 4
ui.button("Extra", "textures/ui/dg_extra");  // 5
ui.button("Subscribe", "textures/ui/dg_yt");  // 6

// ========== Blocks Menu ==========
const blocks = new ActionFormData();
blocks.title("§l§4Blocks Menu");
blocks.body("");
blocks.button("Acacia Planks", "textures/ui/dg_acaciaplank");                  // 0
blocks.button("Amethyst Block", "textures/ui/dg_amethyst");                    // 1
blocks.button("Andesite", "textures/ui/dg_andesite");                          // 2
blocks.button("Bamboo Mosaic", "textures/ui/dg_mosaic");                       // 3
blocks.button("Bamboo Planks", "textures/ui/dg_bambooplank");                 // 4
blocks.button("Birch Planks", "textures/ui/dg_birchplank");                   // 5
blocks.button("Bricks", "textures/ui/dg_brick");                               // 6
blocks.button("Calcite", "textures/ui/dg_calcite");                            // 7
blocks.button("Cherry Leaves", "textures/ui/dg_cherryleaves");                // 8
blocks.button("Cherry Planks", "textures/ui/dg_cherryplank");                 // 9
blocks.button("Clay", "textures/ui/dg_clay");                                  // 10
blocks.button("Coal Ore", "textures/ui/dg_coalore");                          // 11
blocks.button("Cobbled Deepslate", "textures/ui/dg_cobbleddeepslate");        // 12
blocks.button("Cobblestone", "textures/ui/dg_cobblestone");                   // 13
blocks.button("Copper Block", "textures/ui/dg_copperblock");                  // 14
blocks.button("Dark Oak Planks", "textures/ui/dg_daroakplank");               // 15
blocks.button("Deepslate Diamond Ore", "textures/ui/dg_deepslatediamondore"); // 16
blocks.button("Deepslate Emerald Ore", "textures/ui/dg_deepslateemeraldore"); // 17
blocks.button("Deepslate Gold Ore", "textures/ui/dg_deepslategoldore");       // 18
blocks.button("Deepslate Iron Ore", "textures/ui/dg_deepslateironore");       // 19
blocks.button("Diamond Block", "textures/ui/dg_diamond");                     // 20
blocks.button("Diamond Ore", "textures/ui/dg_diamondore");                   // 21
blocks.button("Diorite", "textures/ui/dg_diorite");                           // 22
blocks.button("Dirt", "textures/ui/dg_dirt");                                 // 23
blocks.button("Emerald Block", "textures/ui/dg_emerald");                     // 24
blocks.button("End Stone", "textures/ui/dg_endstone");                        // 25
blocks.button("Glass", "textures/ui/dg_glass");                               // 26
blocks.button("Gold Block", "textures/ui/dg_gold");                           // 27
blocks.button("Gold Ore", "textures/ui/dg_goldore");                          // 28
blocks.button("Gravel", "textures/ui/dg_gravel");                             // 29
blocks.button("Ice Block", "textures/ui/dg_ice");                            // 30
blocks.button("Iron Block", "textures/ui/dg_iron");                           // 31
blocks.button("Iron Ore", "textures/ui/dg_ironore");                          // 32
blocks.button("Jungle Planks", "textures/ui/dg_jungleplank");                // 33
blocks.button("Oak Planks", "textures/ui/dg_oakplank");                       // 34
blocks.button("Obsidian", "textures/ui/dg_obsidian");                         // 35
blocks.button("Pale Oak Planks", "textures/ui/dg_paleoakplank");              // 36
blocks.button("Redstone Block", "textures/ui/dg_redstoneb");                 // 37
blocks.button("Resin Block", "textures/ui/dg_resinb");                        // 38
blocks.button("Resin Bricks", "textures/ui/dg_resinbricks");                 // 39
blocks.button("Sand", "textures/ui/dg_sand");                                 // 40
blocks.button("Sponge", "textures/ui/dg_sponge");                             // 41
blocks.button("Spruce Planks", "textures/ui/dg_spruceplank");                // 42
blocks.button("Stone", "textures/ui/dg_stone");                               // 43
blocks.button("Stone Bricks", "textures/ui/dg_stonebricks");                 // 44
blocks.button("White Concrete", "textures/ui/dg_white_concrete");                      // 45

// ========== Items Menu ==========
const items = new ActionFormData();
items.title("§l§4Items Menu");
items.body("");
items.button("Acacia Sapling", "textures/ui/dg_acaciasapling");  // 0
items.button("Allium", "textures/ui/dg_allium");                 // 1
items.button("Azure Bluet", "textures/ui/dg_azurebluet");        // 2
items.button("Birch Sapling", "textures/ui/dg_birchsapling");    // 3
items.button("Blue Orchid", "textures/ui/dg_blueorchid");        // 4
items.button("Brown Mushroom", "textures/ui/dg_bmushroom");      // 5
items.button("Cherry Sapling", "textures/ui/dg_cherrysapling");  // 6
items.button("Cornflower", "textures/ui/dg_cornflower");         // 7
items.button("Dandelion", "textures/ui/dg_dandelion");           // 8
items.button("Grass", "textures/ui/dg_grass");                   // 9
items.button("Oak Sapling", "textures/ui/dg_oaksapling");        // 10
items.button("Orange Tulip", "textures/ui/dg_orangetulip");      // 11
items.button("Oxeye Daisy", "textures/ui/dg_oxeyedaisy");        // 12
items.button("Steve Head", "textures/ui/dg_playerhead");         // 13
items.button("Poppy", "textures/ui/dg_poppy");                   // 14
items.button("Red Tulip", "textures/ui/dg_redtulip");            // 15
items.button("Trapdoor", "textures/ui/dg_trapdoor");             // 16
items.button("White Tulip", "textures/ui/dg_whitetulip");        // 17

// ========== Mobs Menu ==========
const mobs = new ActionFormData();
mobs.title("§l§4Mobs Menu");
mobs.body("");
mobs.button("Allay", "textures/ui/dg_allay");                  // 0
mobs.button("Armadillo", "textures/ui/dg_armadillo");          // 1
mobs.button("Axolotl", "textures/ui/dg_axolotl");              // 2
mobs.button("Bee", "textures/ui/dg_bee");                      // 3
mobs.button("Blaze", "textures/ui/dg_blaze");                  // 4
mobs.button("Chicken", "textures/ui/dg_chicken");              // 5
mobs.button("Cow", "textures/ui/dg_cow");                      // 6
mobs.button("Creeper", "textures/ui/dg_creeper");              // 7
mobs.button("Dolphin", "textures/ui/dg_dolphin");              // 8
mobs.button("Donkey", "textures/ui/dg_donkey");                // 9
mobs.button("Drowned", "textures/ui/dg_drowned");              // 10
mobs.button("Enderman", "textures/ui/dg_enderman");            // 11
mobs.button("Evoker", "textures/ui/dg_evoker");                // 12
mobs.button("Fox", "textures/ui/dg_fox");                      // 13
mobs.button("Frog", "textures/ui/dg_frog");                    // 14
mobs.button("Glow Squid", "textures/ui/dg_glowsquid");         // 15
mobs.button("Guardian", "textures/ui/dg_guardian");            // 16
mobs.button("Husk", "textures/ui/dg_husk");                    // 17
mobs.button("Iron Golem", "textures/ui/dg_irongolem");         // 18
mobs.button("Llama", "textures/ui/dg_llama");                  // 19
mobs.button("Magma Cube", "textures/ui/dg_magmacube");         // 20
mobs.button("Mule", "textures/ui/dg_mule");                    // 21
mobs.button("Ocelot", "textures/ui/dg_ocelot");                // 22
mobs.button("Parrot", "textures/ui/dg_parrot");                // 23
mobs.button("Phantom", "textures/ui/dg_phantom");              // 24
mobs.button("Pillager", "textures/ui/dg_pillager");            // 25
mobs.button("Rabbit", "textures/ui/dg_rabbit");                // 26
mobs.button("Ravager", "textures/ui/dg_ravager");              // 27
mobs.button("Sheep", "textures/ui/dg_sheep");                  // 28
mobs.button("Shulker", "textures/ui/dg_shulker");              // 29
mobs.button("Silverfish", "textures/ui/dg_silverfish");        // 30
mobs.button("Skeleton", "textures/ui/dg_skeleton");            // 31
mobs.button("Sniffer", "textures/ui/dg_sniffer");              // 32
mobs.button("Snow Golem", "textures/ui/dg_snowgolem");         // 33
mobs.button("Spider", "textures/ui/dg_spider");                // 34
mobs.button("Squid", "textures/ui/dg_squid");                  // 35
mobs.button("Stray", "textures/ui/dg_stray");                  // 36
mobs.button("Strider", "textures/ui/dg_strider");              // 37
mobs.button("Turtle", "textures/ui/dg_turtle");                // 38
mobs.button("Vex", "textures/ui/dg_vex");                      // 39
mobs.button("Villager", "textures/ui/dg_villager");            // 40
mobs.button("Vindicator", "textures/ui/dg_vindicator");                      // 41
mobs.button("Wandering Trader", "textures/ui/dg_wanderingtrader");      // 42
mobs.button("Warden", "textures/ui/dg_warden");                // 43
mobs.button("Witch", "textures/ui/dg_witch");                  // 44
mobs.button("Wither", "textures/ui/dg_wither");                 // 45
mobs.button("Wither Skeleton", "textures/ui/dg_wither_skeleton");        // 46
mobs.button("Zoglin", "textures/ui/dg_zoglin");                // 47
mobs.button("Zombie", "textures/ui/dg_zombie");                // 48
mobs.button("Zombie Horse", "textures/ui/dg_zombiehorse");     // 49


// ========== Gaming Characters Menu ==========
const gaming = new ActionFormData();
gaming.title("§l§4Gaming Characters Menu");
gaming.body("");
gaming.button("CJ", "textures/ui/dg_cj");              // 0
gaming.button("Connor", "textures/ui/dg_connor");      // 1
gaming.button("Jin Sakai", "textures/ui/dg_jinsakai"); // 2
gaming.button("Kratos", "textures/ui/dg_kratos");      // 3
gaming.button("Spiderman", "textures/ui/dg_spiderman");// 4


// ========== Anime Characters Menu ==========
const anime = new ActionFormData();
anime.title("§l§4Anime Characters Menu");
anime.body("");
anime.button("Gojo", "textures/ui/dg_gojo");        // 0
anime.button("Goku", "textures/ui/dg_goku");        // 1
anime.button("Luffy", "textures/ui/dg_luffy");      // 2
anime.button("Naruto", "textures/ui/dg_naruto");    // 3
anime.button("Tanjiro", "textures/ui/dg_tangiro");  // 4


// ========== Extra Menu ==========
const extra = new ActionFormData();
extra.title("§l§4Extra Menu");
extra.body("");
extra.button("Chair", "textures/ui/dg_chair");                     // 0
extra.button("Jhon Cena", "textures/ui/dg_jhon");                  // 1
extra.button("MrBeast", "textures/ui/dg_mrbeast");                // 2
extra.button("Pennywise", "textures/ui/dg_pennywise");            // 3
extra.button("SG Guard", "textures/ui/dg_squidgameguard");        // 4
extra.button("SG Player", "textures/ui/dg_squidgameplayer");      // 5
extra.button("Table", "textures/ui/dg_table");                    // 6


// ========== Menu Trigger ==========
world.afterEvents.itemUse.subscribe((event) => {
    const { source, itemStack } = event;
    const player = event.source;

    if (itemStack?.typeId !== "dg:menu") return;

    ui.show(source).then((uiRes) => {
        if (uiRes.canceled) return;

        switch (uiRes.selection) {
            // — Blocks —
            case 0:
                blocks.show(source).then((res) => {
                    if (res.canceled) return;
                player.triggerEvent("pa:player");
                source.runCommand("particle pa:morphing_clouds ~~~");
                source.runCommand("effect @s invisibility 100000 1 true");
                    switch (res.selection) {
                        case 0:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:acacia_plank");
                        break;

                        case 1:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:amethyst");
                        break;

                        case 2:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:andesite");
                        break;

                        case 3:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:bamboo_mosaic");
                        break;

                        case 4:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:bamboo_plank");
                        break;

                        case 5:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:birch_plank");
                        break;

                        case 6:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:brick");
                        break;

                        case 7:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:calcite");
                        break;

                        case 8:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:cherry_leaves");
                        break;

                        case 9:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:cherry_plank");
                        break;

                        case 10:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:clay");
                        break;

                        case 11:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:coal_ore");
                        break;

                        case 12:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:cobbled_deepslate");
                        break;

                        case 13:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:cobblestone");
                        break;

                        case 14:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:copper");
                        break;

                        case 15:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:dark_plank");
                        break;

                        case 16:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:deepslate_diamond_ore");
                        break;

                        case 17:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:deepslate_emerald_ore");
                        break;

                        case 18:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:deepslate_gold_ore");
                        break;

                        case 19:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:deepslate_iron_ore");
                        break;

                        case 20:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:diamond");
                        break;

                        case 21:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:diamond_ore");
                        break;

                        case 22:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:diorite");
                        break;

                        case 23:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:dirt");
                        break;

                        case 24:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:emerald");
                        break;

                        case 25:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:end_stone");
                        break;

                        case 26:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:glass");
                        break;

                        case 27:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:gold");
                        break;

                        case 28:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:gold_ore");
                        break;

                        case 29:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:gravel");
                        break;

                        case 30:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:ice");
                        break;

                        case 31:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:iron");
                        break;

                        case 32:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:iron_ore");
                        break;

                        case 33:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:jungle_plank");
                        break;

                        case 34:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:oak_plank");
                        break;

                        case 35:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:obsidian");
                        break;

                        case 36:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:pale_plank");
                        break;

                        case 37:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:redstone");
                        break;

                        case 38:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:resin");
                        break;

                        case 39:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:resin_brick");
                        break;

                        case 40:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:sand");
                        break;

                        case 41:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:sponge");
                        break;

                        case 42:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:spruce_plank");
                        break;

                        case 43:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:stone");
                        break;

                        case 44:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:stone_brick");
                        break;

                        case 45:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:white_concrete");
                        break;
                    }
                });
                break;

            // — Items —
            case 1:
                items.show(source).then((res) => {
                    if (res.canceled) return;
                player.triggerEvent("pa:player");
                source.runCommand("particle pa:morphing_clouds ~~~");
                source.runCommand("effect @s invisibility 100000 1 true");
                    switch (res.selection) {
                        case 0:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:acacia_sapling");
                        break;

                        case 1:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:allium");
                        break;

                        case 2:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:houstonia");
                        break;

                        case 3:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:birch_sapling");
                        break;

                        case 4:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:blue_orchid");
                        break;

                        case 5:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:mushroom");
                        break;

                        case 6:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:cherry_sapling");
                        break;

                        case 7:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:cornflower");
                        break;

                        case 8:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:dandelion");
                        break;

                        case 9:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:grass");
                        break;

                        case 10:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:oak_sapling");
                        break;

                        case 11:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:orange_tulip");
                        break;

                        case 12:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:oxeye_daisy");
                        break;

                        case 13:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:player_head");
                        break;

                        case 14:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:poppy");
                        break;

                        case 15:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:red_tulip");
                        break;

                        case 16:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:trapdoor");
                        break;

                        case 17:
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:white_tulip");
                        break;
                    }
                });
                break;

            // — Mobs —
            case 2:
                mobs.show(source).then((res) => {
                    if (res.canceled) return;
                player.runCommand("effect @s clear");
                source.runCommand("replaceitem entity @s slot.armor.head 0 air");
                    switch (res.selection) {
                        case 0: 
                        player.triggerEvent("pa:allay");
                        break;
                            
                        case 1:
                        player.triggerEvent("pa:armadillo");
                        break;

                        case 2:
                        player.triggerEvent("pa:lucy_axolotl");
                        break;

                        case 3:
                        player.triggerEvent("pa:bee");
                        break;

                        case 4:
                        player.triggerEvent("pa:blaze");
                        break;

                        case 5:
                        player.triggerEvent("pa:chicken");
                        break;

                        case 6:
                        player.triggerEvent("pa:cow");
                        break;

                        case 7:
                        player.triggerEvent("pa:creeper");
                        break;

                        case 8:
                        player.triggerEvent("pa:dolphin");
                        break;

                        case 9:
                        player.triggerEvent("pa:donkey");
                        break;

                        case 10:
                        player.triggerEvent("pa:drowned");
                        break;

                        case 11:
                        player.triggerEvent("pa:enderman");
                        break;

                        case 12:
                        player.triggerEvent("pa:evoker");
                        break;

                        case 13:
                        player.triggerEvent("pa:fox");
                        break;

                        case 14:
                        player.triggerEvent("pa:temperate_frog");
                        break;

                        case 15:
                        player.triggerEvent("pa:glow_squid");
                        break;

                        case 16:
                        player.triggerEvent("pa:guardian");
                        break;

                        case 17:
                        player.triggerEvent("pa:husk");
                        break;

                        case 18:
                        player.triggerEvent("pa:iron_golem");
                        source.runCommand("give @s poppy");
                        break;

                        case 19:
                        player.triggerEvent("pa:white_llama");
                        break;

                        case 20:
                        player.triggerEvent("pa:large_magma_cube");
                        break;

                        case 21:
                        player.triggerEvent("pa:mule");
                        break;

                        case 22:
                        player.triggerEvent("pa:ocelot");
                        break;

                        case 23:
                        player.triggerEvent("pa:red_parrot");
                        break;

                        case 24:
                        player.triggerEvent("pa:phantom");
                        break;

                        case 25:
                        player.triggerEvent("pa:pillager");
                        source.runCommand("give @s crossbow");
                        source.runCommand("give @s arrow 16");
                        break;

                        case 26:
                        player.triggerEvent("pa:white_rabbit");
                        break;

                        case 27:
                        player.triggerEvent("pa:ravager");
                        break;

                        case 28:
                        player.triggerEvent("pa:white_sheep");
                        break;

                        case 29:
                        player.triggerEvent("pa:shulker");
                        break;

                        case 30:
                        player.triggerEvent("pa:silverfish");
                        break;

                        case 31:
                        player.triggerEvent("pa:skeleton");
                        source.runCommand("give @s bow");
                        source.runCommand("give @s arrow 16");
                        break;

                        case 32:
                        player.triggerEvent("pa:sniffer");
                        break;

                        case 33:
                        player.triggerEvent("pa:snow_golem");
                        source.runCommand("give @s snowball 16");
                        break;

                        case 34:
                        player.triggerEvent("pa:spider");
                        break;

                        case 35:
                        player.triggerEvent("pa:squid");
                        break;

                        case 36:
                        player.triggerEvent("pa:stray");
                        source.runCommand("give @s bow");
                        source.runCommand("give @s arrow 16");
                        break;

                        case 37:
                        player.triggerEvent("pa:strider");
                        break;

                        case 38:
                        player.triggerEvent("pa:turtle");
                        break;

                        case 39:
                        player.triggerEvent("pa:vex");
                        break;

                        case 40:
                        player.triggerEvent("pa:plains_villager");
                        break;

                        case 41:
                        player.triggerEvent("pa:vindicator");
                        source.runCommand("give @s iron_axe");
                        break;

                        case 42:
                        player.triggerEvent("pa:wandering_trader");
                        break;

                        case 43:
                        player.triggerEvent("pa:warden");
                        break;

                        case 44:
                        player.triggerEvent("pa:witch");
                        break;

                        case 45:
                        player.triggerEvent("pa:wither");
                        break;

                        case 46:
                        player.triggerEvent("pa:wither_skeleton");
                        source.runCommand("give @s stone_sword");
                        break;

                        case 47:
                        player.triggerEvent("pa:zoglin");
                        break;

                        case 48:
                        player.triggerEvent("pa:zombie");
                        break;

                        case 49:
                        player.triggerEvent("pa:zombie_horse");
                        break;
                    }
                });
                break;

            // — Gaming Characters —
            case 3:
                gaming.show(source).then((res) => {
                    if (res.canceled) return;
                player.triggerEvent("pa:player");
                source.runCommand("particle pa:morphing_clouds ~~~");
                source.runCommand("effect @s invisibility 100000 1 true");
                    switch (res.selection) {
                        case 0: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:cj");
                        break;
                        
                        case 1: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:connor");
                        break;

                        case 2: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:jin_sakai");
                        break;

                        case 3: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:kratos");
                        break;

                        case 4: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:spiderman");
                        break;
                        
                    }
                });
                break;

            // — Anime Characters —
            case 4:
                anime.show(source).then((res) => {
                    if (res.canceled) return;
                player.triggerEvent("pa:player");
                source.runCommand("particle pa:morphing_clouds ~~~");
                source.runCommand("effect @s invisibility 100000 1 true");
                    switch (res.selection) {
                        case 0: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:gojo");
                        break;
                        
                        case 1: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:goku");
                        break;

                        case 2: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:luffy");
                        break;

                        case 3: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:naruto");
                        break;

                        case 4: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:tanjiro");
                        break;
                    }
                });
                break;

            // — Extra —
            case 5:
                extra.show(source).then((res) => {
                    if (res.canceled) return;
                player.triggerEvent("pa:player");
                source.runCommand("particle pa:morphing_clouds ~~~");
                source.runCommand("effect @s invisibility 100000 1 true");
                    switch (res.selection) {
                        case 0: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:chair");
                        break;
                        
                        case 1: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:jhon_cena");
                        break;

                        case 2: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:mrbeast");
                        break;

                        case 3: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:pennywise");
                        break;

                        case 4: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:squidgameguard");
                        break;

                        case 5: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:squidgameplayer");
                        break;

                        case 6: 
                        source.runCommand("replaceitem entity @s slot.armor.head 0 dg:table");
                        break;
                    }
                });
                break;
            case 6:
                source.runCommand('tellraw @s { "rawtext" : [ { "text" : "§2[Dante] §fSubscribe My Channel \nyoutube: @dantegaming77 " } ] }');
                break;
        }
    });
});


  