export const morphs = [
    {"id":"pa:arctic_fox","entity":"minecraft:fox","type":12,"conditions":"this.getComponent('minecraft:variant').value == 1 && !this.getComponent('minecraft:is_baby')"},
    {"id":"pa:armadillo","entity":"minecraft:armadillo","type":78,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:zoglin","entity":"minecraft:zoglin","type":39,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:zombie_horse","entity":"minecraft:zombie_horse","type":75,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:white_llama","entity":"minecraft:llama","type":32,"conditions":"this.getComponent('minecraft:variant').value == 1 && !this.getComponent('minecraft:is_baby')"},
    {"id":"pa:white_rabbit","entity":"minecraft:rabbit","type":48,"conditions":"this.getComponent('minecraft:variant').value == 1"},
    {"id":"pa:vex","entity":"minecraft:vex","type":45,"conditions":null},
    {"id":"pa:temperate_frog","entity":"minecraft:frog","type":56,"conditions":"!this.getComponent('minecraft:variant') || this.getComponent('minecraft:variant').value == 0"},
    {"id":"pa:tamed_red_cat","entity":"minecraft:cat","type":18,"conditions":"this.getComponent('minecraft:variant').value == 2 && !this.getComponent('minecraft:is_baby') && this.getComponent('minecraft:is_tamed')"},
    {"id":"pa:stray","entity":"minecraft:stray","type":25,"conditions":null},
    {"id":"pa:snow_golem","entity":"minecraft:snow_golem","type":16,"conditions":"!this.getComponent('minecraft:is_sheared')"},
    {"id":"pa:sniffer","entity":"minecraft:sniffer","type":68,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:silverfish","entity":"minecraft:silverfish","type":61,"conditions":null},
    {"id":"pa:shulker","entity":"minecraft:shulker","type":67,"conditions":"this.getComponent('minecraft:variant').value == 16"},
    {"id":"pa:ravager","entity":"minecraft:ravager","type":55,"conditions":null},
    {"id":"pa:ocelot","entity":"minecraft:ocelot","type":26,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:lucy_axolotl","entity":"minecraft:axolotl","type":24,"conditions":"(!this.getComponent('minecraft:variant') || this.getComponent('minecraft:variant').value == 0) && !this.getComponent('minecraft:is_baby')"},
    {"id":"pa:mule","entity":"minecraft:mule","type":73,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:large_magma_cube","entity":"minecraft:magma_cube","type":53,"conditions":"this.getComponent('minecraft:variant').value == 4"},
    {"id":"pa:husk","entity":"minecraft:husk","type":19,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:guardian","entity":"minecraft:guardian","type":63,"conditions":null},
    {"id":"pa:green_parrot","entity":"minecraft:parrot","type":42,"conditions":"this.getComponent('minecraft:variant').value == 2"},
    {"id":"pa:glow_squid","entity":"minecraft:glow_squid","type":50,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:evoker","entity":"minecraft:evocation_illager","type":57,"conditions":null},
    {"id":"pa:donkey","entity":"minecraft:donkey","type":72,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:drowned","entity":"minecraft:drowned","type":13,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:cold_frog","entity":"minecraft:frog","type":56,"conditions":"this.getComponent('minecraft:variant').value == 1"},
    {"id":"pa:player","entity":"minecraft:player","type":0,"conditions":null},
  
    // added from second list (excluding duplicates)
    {"id":"pa:cow","entity":"minecraft:cow","type":2,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:white_sheep","entity":"minecraft:sheep","type":6,"conditions":"this.getComponent('minecraft:color').value == 0"},
    {"id":"pa:chicken","entity":"minecraft:chicken","type":4,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:bee","entity":"minecraft:bee","type":40,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:warden","entity":"minecraft:warden","type":69,"conditions":null},
    {"id":"pa:enderman","entity":"minecraft:enderman","type":9,"conditions":null},
    {"id":"pa:plains_villager","entity":"minecraft:villager_v2","type":14,"conditions":"(!this.getComponent('minecraft:mark_variant') || this.getComponent('minecraft:mark_variant').value == 0) && !this.getComponent('minecraft:is_baby')"},
    {"id":"pa:allay","entity":"minecraft:allay","type":54,"conditions":null},
    {"id":"pa:red_parrot","entity":"minecraft:parrot","type":42,"conditions":"!this.getComponent('minecraft:variant') || this.getComponent('minecraft:variant').value == 0"},
    {"id":"pa:zombie","entity":"minecraft:zombie","type":1,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:witch","entity":"minecraft:witch","type":47,"conditions":null},
    {"id":"pa:turtle","entity":"minecraft:turtle","type":46,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:wandering_trader","entity":"minecraft:wandering_trader","type":60,"conditions":null},
    {"id":"pa:squid","entity":"minecraft:squid","type":30,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:spider","entity":"minecraft:spider","type":7,"conditions":null},
    {"id":"pa:strider","entity":"minecraft:strider","type":44,"conditions":"!this.getComponent('minecraft:is_baby') && !this.getComponent('minecraft:is_saddled')"},
    {"id":"pa:skeleton","entity":"minecraft:skeleton","type":3,"conditions":null},
    {"id":"pa:pillager","entity":"minecraft:pillager","type":41,"conditions":null},
    {"id":"pa:phantom","entity":"minecraft:phantom","type":51,"conditions":null},
    {"id":"pa:iron_golem","entity":"minecraft:iron_golem","type":23,"conditions":null},
    {"id":"pa:dolphin","entity":"minecraft:dolphin","type":38,"conditions":"!this.getComponent('minecraft:is_baby')"},
    {"id":"pa:creeper","entity":"minecraft:creeper","type":5,"conditions":"!this.getComponent('minecraft:is_charged')"},
    {"id":"pa:blaze","entity":"minecraft:blaze","type":17,"conditions":null},
    {"id":"pa:taiga_villager","entity":"minecraft:villager_v2","type":14,"conditions":"this.getComponent('minecraft:mark_variant').value == 6 && !this.getComponent('minecraft:is_baby')"},
    {"id":"pa:snow_villager","entity":"minecraft:villager_v2","type":14,"conditions":"this.getComponent('minecraft:mark_variant').value == 4 && !this.getComponent('minecraft:is_baby')"},
    {"id":"pa:savanna_villager","entity":"minecraft:villager_v2","type":14,"conditions":"this.getComponent('minecraft:mark_variant').value == 3 && !this.getComponent('minecraft:is_baby')"},
    {"id":"pa:jungle_villager","entity":"minecraft:villager_v2","type":14,"conditions":"this.getComponent('minecraft:mark_variant').value == 2 && !this.getComponent('minecraft:is_baby')"},
    {"id":"pa:allay","entity":"minecraft:allay","type":54,"conditions":null},
    {"id":"pa:allay","entity":"minecraft:allay","type":54,"conditions":null},
    {"id":"pa:allay","entity":"minecraft:allay","type":54,"conditions":null},
  ];
  